# Cosmos主网创世成功启动，一键发链开启神奇宇宙之旅！

## 关于Cosmos
2014年，Cosmos创始人Jae Kwon发现经典拜占庭容错（BFT）共识算法的安全性有助于我们在公链环境中利用PoS机制，而无需外部伪随机源来抵抗Sybil。 2015年，他与Ethan Buchman一起规划了Cosmos的蓝图，希望未来的区块链能像今天的互联网应用一样，遍地开花。

为了证明我们可以建立一个安全的BFT-PoS系统，我们需要在公开透明、去中心化的区块链上进行测试。Cosmos Hub就这样诞生了。

为可扩展的公链网络提供基础设施的美好愿景正是推动此次主网启动的核心动力。Cosmos就是要实现成千上万个加密货币系统之间的互联互通，而不必基于PoW就能实现网络的扩展。

为了实现这一愿景，我们开发了BFT共识引擎Tendermint Core，可以用作任何PoS区块链的底层。同时还需要搭建一个框架，以大大降低DApp开发的门槛。与Ruby on Rails或Django等Web框架引发寒武纪的Web应用爆炸类似，基于Cosmos SDK，你可以很容易地搭建区块链，因此区块链的应用也将会如雨后春笋一般，野蛮生长。

自Tendermint Core建立至今已近五年，建立一个基于BFT PoS的区块链互联网的梦想已成为现实。回首这一发展历程，我们更加信心倍增，斗志昂扬，继续Cosmos的神奇宇宙之旅！

![image](https://cdn-images-1.medium.com/max/1200/0*RDRFM1k3pbVbJhES)

有关Cosmos及其顶尖开源软件的介绍，请戳：cosmos.network/intro
如何使用Cosmos SDK对自定义应用专有链进行编程，请参照[本教程](https://cosmos.network/docs/tutorial)。



## Cosmos主网上线

Cosmos主网是近40年来实用拜占庭容错（PBFT）研究历史中首个基于POS的公链。主网上线将分三个阶段（中文链接）：网络逐步趋于稳定、开启交易、启用IBC协议。

阅读Coindesk对Cosmos Hub发布的[评论](https://www.coindesk.com/a-blockchain-to-connect-all-blockchains-cosmos-is-now-officially-live)。

了解有关Cosmos的[更多信息](cosmos.network/about)。



## Cosmos生态

Tendermint Inc的A轮融资
Tendermint Inc—— [Tendermint Core](https://github.com/tendermint/tendermint), [Cosmos SDK](https://github.com/cosmos/cosmos-sdk)和[Cosmos网络](https://cosmos.network)核心开发者，已完成了A轮融资，筹集了4亿美元的区块链基金，由[Paradigm](https://medium.com/paradigm-fund)领投，其他支持机构如[贝恩资本](https://medium.com/paradigm-fund)和[1 Confirmation](https://www.1confirmation.com)跟投。部分资金将由Tendermint Inc用于支持Cosmos网络及其生态系统的持续发展。




## ICF研发
[ICF](https://interchain.io)是一家瑞士的非营利性基金会，为Cosmos网络技术开发提供资金支持，同时也在通过与[其他研究机构](https://interchain.io/research)合作并发展其[内部团队](https://interchain.io/careers)开展研发工作，也接受其他需要资金的[项目的申请](https://interchain.typeform.com/to/P3tOm0)。



## 生态及用例

虽然Cosmos Hub是Cosmos网络中上线的第一个区块链，但更广泛的Cosmos项目正在迅速扩张。 核心软件库的代码贡献者数量已增至150多个。测试网上的验证人已逾百人，参与主网分布式启动的验证人共有67位。有一张社区贡献的策列表显示，共有80个项目表明他们正在或打算基于Cosmos SDK和/或Tendermint Core构建应用程序。 在我们的[生态系统页面](https://cosmos.network/ecosystem)上，可以看到一些非常耀眼的项目，涉及领域包括游戏、内容发布、音乐、生态监测和再生、跨链操作等应用程序 。这些都是通过我们提供的开源模块及通用的基础设施而实现的。

![image](https://cdn-images-1.medium.com/max/800/0*E7QxLaEAdjs0rgOX)

![image](https://cdn-images-1.medium.com/max/800/0*zMsFj_tFPMj7IOND)

![image](https://cdn-images-1.medium.com/max/400/0*wuyk3SMH4AX_0Anm)


基于Cosmos SDK / Tendermint Core开发的[项目列表](cosmos.network/ecosystem)。


## 来自合作伙伴的评价

> “Cosmos团队搭建了一个非常必要的基础设施，有可能触发加密经济网络的指数型增长。” — Brian Kelly，BKCM
> 

> “我们很高兴能够支持Cosmos对跨链生态系统的愿景。 Jae Kwon带领的团队展现了严谨务实的奉献精神和对去中心化系统设计的远见卓识。 我们对团队在建立第一个生产就绪的 POS BFT系统方面的进展感到特别兴奋，期待能够看到新的去中心化应用早日实现。“ — Matt Huang和Charlie Noyes，Paradigm
