# **Cosmos主网上线三部曲**




Cosmos主网启动将分成3个阶段分布完成，下面我们将具体介绍每一阶段的预期目标。



## **🚨第一阶段：网络逐步趋于稳定🚨**



在第一阶段，主网可能会不太稳定，也许会出现暂停或其他故障，可能需要Cosmos主网验证人和全节点运营者们一起来协助修复。在网络趋于稳定过程中，出现此类故障并不意外。


**状态修改和主网启动:**

区块链的核心价值之一是其不可篡改性，也就是说我们不会通过回滚来修改过去的状态记录。最终，这种不可篡改的理念在软件共识协议层面得到了支持，并最终在社区参与者之间形成了社会契约。



也就是说，Cosmos Hub的底层技术开发是能够实现低难度的分叉和回滚的， 我们已经看到社区在测试网上做过多次相应的演练。这些技术也会在主网上应用，用以最终抵御卡特尔风险的发生。



回滚网络状态通常被认为是非常严重的问题，因为这将损害网络的经济最终性。因此，回滚网络状态只能在极端状态下使用，比如以太网的DAO硬分叉，也就是说，在Cosmos Hub主网启动初期，转账交易不会开启，因此回滚的危害性很小，因为状态转换远比“经济最终性”的影响低。 如果需要，比如发现漏洞，我们可以将过去某一个高度时的网络状态导出，然后重启网络，就如同我们在测试网上演练过的那样。



一旦链上治理决定开启交易功能，全网将会遵从经济最终性。



总而言之，如果在链上交易功能开启之前，Cosmos Hub发现任何错误或漏洞，那么用户可期望回滚至任意状态，甚至创世块。



一旦链上交易功能开始后，状态回滚方式将很难被采纳。



**对开发人员的建议**：Cosmos主网启动是投资者参与主网的第一阶段。作为分布式应用的开发人员，您可能是Cosmos-SDK框架或Tendermint Core的用户。开发者基于[Cosmos-SDK](https://cosmos.network/docs/)或[Tendermint](https://tendermint.com/docs/)的应用开发进度现阶段应该不受Cosmos Hub的影响，但如果您的项目需要使用[IBC](https://blog.cosmos.network/developer-deep-dive-cosmos-ibc-5855aaf183fe)（链间通信协议），则必须要等到第三阶段或参与即将开始的IBC测试网络。



**对于用户的建议**：在此阶段，我们强烈建议您不要交易Atoms（其实法律合同也限定不能交易），因为在这个阶段仍然存在状态回滚的风险。



但是，您可以通过下面链接的[CLI指南](https://github.com/cosmos/cosmos-sdk/blob/develop/docs/gaia/delegator-guide-cli.md)和视频教程的指导，在此阶段将Atoms通证委托给验证人。当然，如果发生状态修改，那么所有收益（包括手续费和通胀收益）都将丢失。Voyager是用于与Cosmos Hub交互的图形化客户端，目前处于alpha版，正在持续开发中。一旦Voager beta版上线，并可以安全使用，我们将另行公告。


CLI指南和视频教程：https://v.qq.com/x/page/q08425izfhi.html



## 第二阶段：链上交易开启

**摘要：**

一旦我们认为主网足够稳定，在链上抵押了Atom的通证持有者将会通过链上治理过程投票决定是否开启链上交易。




Cosmos浏览器是查看治理提案状态的最佳途径，可以在我们的主网启动页面上找到多款[Cosmos浏览器](https://cosmos.network/launch)。



对用户来说：如果提案被社区接受，并且链上交易开启，您就可以在链上转移您的Atom了。



## 第三阶段：启用IBC协议





**摘要：**

第三阶段我们将会发布[IBC协议](https://github.com/cosmos/cosmos-sdk/blob/develop/docs/spec/ibc/overview.md)，并且对是否将其纳入Cosmos-SDK的核心模块库进行链上治理投票。



**对开发人员的建议**：使用Cosmos-SDK或Tendermint BFT构建的应用专有链将能够连接到 Cosmos Hub，并与连接到Hubs上的其他任意区块链进行跨链交互。



**对用户的建议**：您可以将各种通证和NFT直接从采用IBC协议连接的一个链转移到另一个通过IBC协议连接的链，而无需通过一个第三方中心化平台。



## 验证人提示： 提交您的主网gentx文件

1.  验证人应该已经生成并且安全的保存好用于主网验证的共识密钥。

2. 验证人根据自己获得ATOM通证的来源，比如募资参与者或权益争夺活动的获奖者，准备好在创世文件（Genesis）中需要签署的交易。

3. 一旦创世通证分配计划发布，我们将开始征集gentx文件。



## 总结

Cosmos旨在建立所有区块链间的桥梁，最终建立一个区块链互联网。然而，路漫漫其修远兮，我们还有很长的路要走。主网上线之后，我们需要完成与整个通证经济世界的深度融合，很多的工作要做等着我们去完成。正如肯尼迪在逆境中曾经说过的那样：



“我们选择去月球，不是因为很容易，而是因为很难......”



走更崎岖的路，才会看见更美的风景！
****
